/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/IllegalArithmeticOperationException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::IllegalArithmeticOperationException;
using std::move;
using std::string;

IllegalArithmeticOperationException::IllegalArithmeticOperationException() : Exception("IllegalArithmeticOperationException")
{}

IllegalArithmeticOperationException::IllegalArithmeticOperationException(const string &_message) : IllegalArithmeticOperationException()
{
  this->_setMessage(_message);
}

IllegalArithmeticOperationException::~IllegalArithmeticOperationException() noexcept = default;

const char *IllegalArithmeticOperationException::what() const noexcept
{
  return this->_getIdentifiedMessage("arithmetic operation is not allowed!");
}
